%global vagrant_plugin_name vagrant-hostmanager

Name: vagrant-hostmanager
Version: 1.8.5
Release: 1%{?dist}
BuildArch: noarch

License: MIT
Summary: Vagrant plugin to manage /etc/hosts
URL:     https://github.com/smdahlen/vagrant-hostmanager
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildRequires: vagrant 

Requires(posttrans): vagrant
Requires(preun): vagrant
Requires: vagrant

Provides: vagrant(vagrant-hostmanager) = %{version}


%description
vagrant-hostmanager is a Vagrant plugin that manages the /etc/hosts file
on guest machines (and optionally the host). Its goal is to enable
resolution of multi-machine environments deployed with a cloud provider
where IP addresses are not known in advance.


%package doc
BuildArch: noarch
Summary: Documentation for %{name}
Group: Documentation

Provides: bundled(lato-fonts)
# Using OFL license https://www.google.com/fonts/specimen/Source+Code+Pro
Provides: bundled(sourcecodepro-fonts)

Requires: %{name}%{?_isa} = %{version}-%{release}


%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec


%build
gem build %{name}.gemspec
# Despite having install in the name, this macro builds the docs among other
# things, so it belongs here.
%vagrant_plugin_install


%install
# We don't ship the test suite
rm -rf .%{vagrant_plugin_dir}/gems/%{vagrant_plugin_name}-%{version}/test

mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
       %{buildroot}%{vagrant_plugin_dir}/


%posttrans
%vagrant_plugin_register %{name}


%preun
%vagrant_plugin_unregister %{name}


%files
%license %{vagrant_plugin_instdir}/LICENSE.txt
%exclude %{vagrant_plugin_cache}
%dir %{vagrant_plugin_instdir}
%exclude %{vagrant_plugin_instdir}/.gitignore
%{vagrant_plugin_instdir}/locales
%{vagrant_plugin_libdir}
%{vagrant_plugin_spec}


%files doc
%license %{vagrant_plugin_instdir}/LICENSE.txt
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/CHANGELOG.md
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/Rakefile
%{vagrant_plugin_instdir}/%{vagrant_plugin_name}.gemspec


%changelog
* Wed Jul 20 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.5-1
- Update to 1.8.5 (#1358110).

* Fri Jul 15 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.3-1
- Update to 1.8.3 (#1356344).

* Sun Jun 19 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.2-1
- Update to 1.8.2 (#1347890).
- Add the _isa macro to the -doc subpackage requires line.
- Declare bundled fonts in the -doc subpackage.

* Wed Jun 08 2016 Randy Barlow <bowlofeggs@electronsweatshop.com> - 1.8.1-2
- Add the license file to the -doc subpackage.
- Some minor reorganization.

* Fri Feb 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.8.1-1
- Update to upstream 1.8.1.

* Sun Feb 07 2016 Randy Barlow <rbarlow@redhat.com> - 1.7.1-3
- Restored the documentation, since the Vagrant package is now fixed (#1303230).

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Randy Barlow <rbarlow@redhat.com> - 1.7.1-1
- Update to 1.7.1, a bugfix release.
- Remove the empty vagrant_plugin_docdir, as upstream stopped distributing it.

* Wed Dec 30 2015 Randy Barlow <randy@electronsweatshop.com> - 1.7.0-1
- Update to version 1.7.0.

* Tue Dec 15 2015 Randy Barlow <randy@electronsweatshop.com> - 1.6.1-2
- 1291123 - Add a -doc subpackage.

* Fri Nov 27 2015 Randy Barlow <randy@electronsweatshop.com> - 1.6.1-1
- Initial release.
